package com.cool.store.dao;

import com.cool.store.entity.HyPartnerLabelDO;
import com.cool.store.mapper.HyPartnerLabelMapper;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2024/3/26 16:39
 * @Version 1.0
 */
@Repository
public class HyPartnerLabelDAO {

    @Resource
    HyPartnerLabelMapper hyPartnerLabelMapper;

    public List<HyPartnerLabelDO> listByIds(List<Long> ids ){
        if (CollectionUtils.isEmpty(ids)){
            return null;
        }
        return hyPartnerLabelMapper.getLabelListByIds(ids);
    }





}
